## org.exist.util
Class Configuration.SystemTaskConfig

    java.lang.Object
      org.exist.util.Configuration.SystemTaskConfig

Enclosing class:
  Configuration

public static final class Configuration.SystemTaskConfig
extends java.lang.Object

Constructor Summary
`Configuration.SystemTaskConfig(java.lang.String className, long period)`

Method Summary
`java.lang.String` `getClassName()`
`long` `getPeriod()`
`java.util.Properties` `getProperties()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration.SystemTaskConfig

    public Configuration.SystemTaskConfig(java.lang.String className,
                                          long period)

Method Detail

### getClassName

    public java.lang.String getClassName()

### getPeriod

    public long getPeriod()

### getProperties

    public java.util.Properties getProperties()

Copyright (C) Wolfgang Meier. All rights reserved.